Subject: Re: bug#62698: bind:utils

From: Αντώνιος Τσώλης<[email-masked]>
Date: Sat, 8 Apr 2023 08:43:03 +0300

Well, I use this:

  (packages
     (append
       (map specification->package+output
          '("bind:utils" ... ))
     %base-packages))

But I am new to scheme/guile/guix, so maybe I do something wrong. Anyway,
thanks for confirming that it works on your side. It's probably an issue
with my configuration. :)

On Sat, 8 Apr 2023 at 01:26, Brian Cully <[email-masked]> wrote:

> With the config below, I have ‘host’, ‘dig’, and ‘nslookup’ in my
> path. Note that I'm using the ‘(compose list
> specification->package+output)’ form, though. If you're not using that,
> you may be accidentally loading the ‘bind’ package with the default
> ‘out’ output, instead of the ‘utils’ one. If that's the case, then
> you're not going to have the utils in your PATH because they haven't
> been installed.
>
> --8<---------------cut here---------------start------------->8---
> ;; Testing whether ‘bind:utils’ gets installed in the path (see: #62698)
>
> (use-modules (gnu)
>              (gnu system setuid))
> (use-package-modules networking)
>
> (operating-system
>   (locale "en_US.utf8")
>   (timezone "America/New_York")
>   (keyboard-layout (keyboard-layout "us"))
>   (host-name "wireshark-test")
>
>   (users (cons* (user-account
>                  (name "test")
>                  (group "users")
>                  (password (crypt "test" "$6$test")))
>                 %base-user-accounts))
>   (packages
>    (cons*
>     ((compose list specification->package+output) "bind:utils")
>     %base-packages))
>
>   (bootloader
>    (bootloader-configuration
>     (bootloader grub-efi-bootloader)
>     (targets '("/boot/efi"))
>     (keyboard-layout keyboard-layout)))
>
>   (file-systems
>    (cons* (file-system
>             (mount-point "/")
>             (device
>              (uuid "14f4e958-be9e-41bb-bd25-e90a7330093c"
>                    'btrfs))
>             (type "btrfs"))
>           (file-system
>             (mount-point "/boot/efi")
>             (device (uuid "6866-56B1" 'fat32))
>             (type "vfat"))
>           %base-file-systems)))
> --8<---------------cut here---------------end--------------->8---
>
> Running with ‘sh -c $(guix system vm --no-graphic
> bind-utils-config.scm)’:
>
> --8<---------------cut here---------------start------------->8---
> GC Warning: pthread_getattr_np or pthread_attr_getstack failed for main
> thread
> GC Warning: Couldn't read /proc/stat
> Welcome, this is GNU's early boot Guile.
> Use 'gnu.repl' for an initrd REPL.
>
> loading kernel modules...
> loading '/gnu/store/z0w00ijl944lzc263gzaw17wmlg7k08f-system/boot'...
> making '/gnu/store/z0w00ijl944lzc263gzaw17wmlg7k08f-system' the current
> system...
> setting up setuid programs in '/run/setuid-programs'...
> populating /etc from /gnu/store/rs296i8fpqx2gvy8w0za9wyd1spgmy2k-etc...
> Please wait while gathering entropy to generate the key pair;
> this may take time...
> [    2.966863] udevd[75]: no sender credentials received, message ignored
> [    3.306595] Error: Driver 'pcspkr' is already registered, aborting...
> nscd: 99 monitoring file `/etc/hosts` (1)
> nscd: 99 monitoring directory `/etc` (2)
> nscd: 99 monitoring file `/etc/resolv.conf` (3)
> nscd: 99 monitoring directory `/etc` (2)
> nscd: 99 monitoring file `/etc/services` (4)
> nscd: 99 monitoring directory `/etc` (2)
> nscd: 99 monitoring file `/etc/nsswitch.conf` (5)
> nscd: 99 monitoring directory `/etc` (2)
> nscd: 99 monitoring file `/etc/nsswitch.conf` (5)
> nscd: 99 monitoring directory `/etc` (2)
>
>
> This is the GNU system.  Welcome.
> wireshark-test login: test
> Password:
> This is the GNU operating system, welcome!
>
> test@wireshark-test ~$ which host
> /run/current-system/profile/bin/host
> test@wireshark-test ~$ which dig
> /run/current-system/profile/bin/dig
> test@wireshark-test ~$ which nslookup
> /run/current-system/profile/bin/nslookup
> --8<---------------cut here---------------end--------------->8---
>